## [1.5.1](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.5.0...v1.5.1) (2023-04-24)


### Bug Fixes

* add local kafka sync script ([#47](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/47)) ([987745e](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/987745e28057dc16fefd6f62d79ee158ddbbca6f))
* BROKER-1339 upgrade kafkajs to 2.2.4 to prevent concurrent message processing upon retry ([#49](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/49)) ([1f38bd7](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/1f38bd7160096987b676f20c24a7c66142e6ad57))

# [1.5.0](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.4.1...v1.5.0) (2023-03-31)


### Features

* BROKER-1305 add a minute to midnight datetimes to pass usx-side validation ([#45](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/45)) ([bb3a547](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/bb3a547445e6c802918743355cb9f6cd914db13b))

## [1.4.1](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.4.0...v1.4.1) (2023-03-17)


### Bug Fixes

* add dynamic mapping between source order drop off type to related order origin load type ([#43](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/43)) ([d611157](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/d611157a7dc8eba100d7a2a01a651a65470fa96d))

# [1.4.0](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.3.3...v1.4.0) (2023-03-14)


### Features

* BROKER-1222 stop creating related order if source order is un… ([#41](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/41)) ([cd7411f](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/cd7411f540df4f170aa28deec34fb67d581e9a4f))

## [1.3.3](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.3.2...v1.3.3) (2023-03-06)


### Bug Fixes

* enhance logging message for order creation failure ([1ca6250](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/1ca625014612737c67eb383df931435d50cb2165))

## [1.3.2](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.3.1...v1.3.2) (2023-03-03)


### Bug Fixes

* status check FN ([260d31e](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/260d31e35b386739ee663b17614d8e93332061d1))

## [1.3.1](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.3.0...v1.3.1) (2023-03-03)


### Bug Fixes

* ignore non P orders for pickup_requirements ([3913f5a](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/3913f5a0444ef53eb857744f72f372a7a1bfb3ba))
* skipping order with status of fn ([13199f3](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/13199f378113a233caf66a6cc3ba7389d194dd4e))

# [1.3.0](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.2.6...v1.3.0) (2023-02-22)


### Features

* Backhaul creation attribute originLoadType should always be P ([#34](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/34)) ([9e42539](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/9e42539c842388bb792b3f4a803967ea501c8d72))

## [1.2.6](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.2.5...v1.2.6) (2023-02-21)


### Bug Fixes

* make timezone offset configurable ([4979d56](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/4979d567097f5c2e42febb5d5f76c79b02d001d6))

## [1.2.5](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.2.4...v1.2.5) (2023-02-20)


### Bug Fixes

* correct appointment time offset calculation ([34cf3ff](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/34cf3ffc5772bba85017480c9bfe79e8a6b71aef))

## [1.2.4](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.2.3...v1.2.4) (2023-02-20)


### Bug Fixes

* appointment time chattenooga time correction ([b572726](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/b57272696f211d87e17baf9f6bf66fcc53215f1b))

## [1.2.3](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.2.2...v1.2.3) (2023-02-20)


### Bug Fixes

* add default value for loggable order numbers ([4a10ec5](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/4a10ec5304ddf6f33041cbc3184f683e336fe682))

## [1.2.2](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.2.1...v1.2.2) (2023-02-20)


### Bug Fixes

* trace payload for order numbers from env var ([#30](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/30)) ([24c1808](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/24c18082aaeb401ee366c569b65b6fe4ba42e712))

## [1.2.1](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.2.0...v1.2.1) (2023-02-17)


### Bug Fixes

* convert payload appt times to chattanooga time ([#28](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/28)) ([16f1de6](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/16f1de68ae7f6cf380a7c3ae495f696f7b61d5f7))

# [1.2.0](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.1.0...v1.2.0) (2023-01-23)


### Bug Fixes

* fixes target branch for prod deployment ([#3](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/3)) ([6ad07a6](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/6ad07a6f6e6fffa940e92f28d0af35caa2665033))


### Features

* adds feature flag for related order creation ([#25](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/25)) ([18dde7b](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/18dde7be25d1eded2972d5239191e55fc9ec7c6b))

# [1.1.0](https://github.com/xpress-technologies/cuor-order-chaining-consumer/compare/v1.0.13...v1.1.0) (2023-01-09)


### Features

* switch db calls to mission management api calls ([#23](https://github.com/xpress-technologies/cuor-order-chaining-consumer/issues/23)) ([710e7f9](https://github.com/xpress-technologies/cuor-order-chaining-consumer/commit/710e7f9281797a2d5d796a77e47f6c09638c2c8c))
